Package org.apache.jmeter.gui

# Class UndoHistoryItem

java.lang.Object
org.apache.jmeter.gui.UndoHistoryItem

All Implemented Interfaces:
  `Serializable`

public class UndoHistoryItem extends Object implements Serializable
Undo history item

Since:
  2.12
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UndoHistoryItem()`
  Deprecated.
  DO NOT USE
  `UndoHistoryItem(HashTree copy, String acomment, TreeState treeState, boolean dirty)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `HashTree`
  `getTree()`
  `TreeState`
  `getTreeState()`
  `boolean`
  `isDirty()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UndoHistoryItem

    @Deprecated public UndoHistoryItem()
    Deprecated.
    DO NOT USE
    This constructor is for Unit test purposes only

  - ### UndoHistoryItem

    public UndoHistoryItem(HashTree copy, String acomment, TreeState treeState, boolean dirty)
    Parameters:
      `copy` - `HashTree`
      `acomment` - String
      `treeState` - `TreeState`
      `dirty` - boolean

- ## Method Details

  - ### isDirty

    public boolean isDirty()

  - ### getTreeState

    public TreeState getTreeState()

  - ### getTree

    public HashTree getTree()
    Returns:
      `HashTree`

  - ### getComment

    public String getComment()
    Returns:
      String comment